<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE configuration PUBLIC "-//ibatis.apache.org//DTD Config 3.0//EN" "http://ibatis.apache.org/dtd/ibatis-3-config.dtd">
    
  <configuration>
	<typeAliases>
		<typeAlias type="mx.edu.uaz.modelo.Colonia" alias="Colonia" />
		<typeAlias type="mx.edu.uaz.modelo.Municipio" alias="Municipio" />
		<typeAlias type="mx.edu.uaz.modelo.IndicePeligro" alias="IndicePeligro" />
	</typeAliases>
	
	<environments default="mysql">
		<environment id="mysql">
			<transactionManager type="JDBC" />
			<dataSource type="UNPOOLED">
				<property name="driver" value="com.mysql.cj.jdbc.Driver" />
				<!--property name="url" value="jdbc:mysql://148.72.65.115:3306/formulario?useSSL=false&amp;serverTimezone=UTC" /-->
				<property name="url" value="jdbc:mysql://127.0.0.1:3306/proteczac?useSSL=false&amp;serverTimezone=UTC" />
				<!--property name="url" value="jdbc:mysql://127.0.0.1:3306/peliculas?useSSL=false&amp;serverTimezone=UTC&amp;allowPublicKeyRetrieval=true" /-->
				<property name="username" value="app" />
				<property name="password" value="2n4fCHUJe99" />
			</dataSource>
		</environment>
		
	</environments>
	
	<mappers>
		<mapper resource="mx/edu/uaz/db/mappers/colonia.xml" />
		<mapper resource="mx/edu/uaz/db/mappers/municipio.xml" />
		<mapper resource="mx/edu/uaz/db/mappers/indice_peligro.xml" />
	</mappers>
</configuration>
  
  
  
